- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MDrawRequestQueue Class Reference

# OpenMayaUI - API module for user interface

This reference page is linked to from the following overview topics: Drawing and refresh.

Search for all occurrences

## Detailed Description

Drawing queue used in MPxSurfaceShapeUI::getDrawRequests.

This class defines a simple interface for a collection of MDrawRequest objects.

An MDrawRequestQueue object is passed to the getDrawRequests method of a user defined shape's UI class (MPxSurfaceShapeUI). This queue keeps track of all the things that need to get draw when a refresh of the view occurs.

Maya will call the getDrawRequest methods of all the visible DAG objects before a refresh happens. Then as the refresh happens, each draw request will be processed and the corresponding draw method for each DAG object will get called. For user defined shapes MPxSurfaceShapeUI::draw will get called.

Examples:

  apiMeshShapeUI.cpp, apiMeshShapeUI.h, apiSimpleShapeUI.cpp, apiSimpleShapeUI.h, and quadricShape.cpp.

`#include <MDrawRequestQueue.h>`

List of all members.

## Public Member Functions
| MDrawRequestQueue ()
| Constructor.
| ~MDrawRequestQueue ()
| Destructor.
bool | isEmpty () const
| Returns true if the queu is empty.
void | add (MDrawRequest &)
| Adds a draw request to the draw queue.
MDrawRequest | remove ()
| Removes a draw request from the draw queue.
| MDrawRequestQueue (const MDrawRequestQueue &)
| Copy Constructor.
MDrawRequestQueue & | operator= (const MDrawRequestQueue &)
| Assignment operator.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.

## Member Function Documentation

bool isEmpty | ( |  | ) | const

Search for all occurrences

Returns true if the queu is empty.

Returns:
  - true the draw queue is empty
  - false the draw queue is not empty

void add | ( | MDrawRequest & | request | ) |

Search for all occurrences

Adds a draw request to the draw queue.

Parameters:

  [in] | request | the draw request to add

Examples:
  apiMeshShapeUI.cpp, apiSimpleShapeUI.cpp, and quadricShape.cpp.

MDrawRequest remove | ( |  | ) |

Search for all occurrences

Removes a draw request from the draw queue.

Returns:
  The draw request that was removed

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  Name of this class.

MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue
MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue MDrawRequestQueue